# H460TM_TMmode Class Reference

`#include <h460tm.h>`

## Public Types

| e_tmOpen = 1
| e_tmPublic
| e_tmPrivate
| e_tmBroadcast
| e_tmReceive
enum | Enumerations { e_tmOpen = 1, e_tmPublic, e_tmPrivate, e_tmBroadcast, e_tmReceive }

## Public Member Functions

| H460TM_TMmode (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H460TM_TMmode & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H460TM_TMmode::Enumerations

Enumerator:

  e_tmOpen |
  e_tmPublic |
  e_tmPrivate |
  e_tmBroadcast |
  e_tmReceive |

## Constructor & Destructor Documentation

H460TM_TMmode::H460TM_TMmode | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460TM_TMmode::Clone | ( |  | ) | const

H460TM_TMmode& H460TM_TMmode::operator= | ( | unsigned | v | ) |

The documentation for this class was generated from the following file:

- h460tm.h